<?php
// ---------Brand Section ----------
$wp_customize->add_section( 'bizhunt_brand_section', array(
  'capability'            => 'edit_theme_options',
  'priority'              => 110,
  'title'                 => __( 'Brand Section', 'bizhunt' ),
  'description'           => __( 'Brand Section', 'bizhunt' ),
  'panel'                 => 'bizhunt_front_option'
) );

//Brand Checkbox
$wp_customize->add_setting( 'bizhunt_brand_enable', array(
  'capability'            => 'edit_theme_options',
  'default'               => 0,
  'sanitize_callback'     => 'bizhunt_sanitize_checkbox'
) );

$wp_customize->add_control( 'bizhunt_brand_enable', array(
  'label'                 =>  __( 'Enable Brand Section', 'bizhunt' ),
  'section'               => 'bizhunt_brand_section',
  'type'                  => 'checkbox',
  'priority'              => 5,
  'settings'              => 'bizhunt_brand_enable',
) );

// Brand Category
  $wp_customize->add_setting('bizhunt_brand_category',
    array(
      'sanitize_callback' => 'bizhunt_sanitize_category',
      'default' =>  1,
    ) 
  );

  $wp_customize->add_control(
    new bizhunt_Customize_Dropdown_Taxonomies_Control( $wp_customize, 'bizhunt_brand_category', 
      array(
        'label'   => __('Brands Category','bizhunt'),
        'section'   => 'bizhunt_brand_section',
        'type'    => 'dropdown-taxonomies',
        'priority'  => 100,
      ) 
    )
  );