<?php
/**
 * Template part for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>

<div class="single-content" <?php post_class(); ?>>
	<?php
	if( has_post_thumbnail() ) :
		the_post_thumbnail( 'full' );
	endif;
	?>
	<div class="news-body">
		<div class="news-content">
			<h2><?php the_title(); ?></h2>
			<div class="meta">
				<span><i class="fa fa-user"></i><?php esc_html_e('By: ','bizhunt'); ?><a href="<?php echo esc_url(get_author_posts_url( $post->post_author )); ?>"><?php echo get_the_author(); ?></a></span>
				<span><i class="fa fa-comments"></i> <a href="<?php comments_link(); ?>"><?php comments_number( '0 Comment', '1 Comment', '% Comments' ); ?></a></span>
			</div>
			<?php the_content(); ?>
		</div>
	</div>
</div>
